This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017765 - On GUI upload and scan plugins not showing WARN messages
On GUI upload and scan plugins not showing WARN messages
Status: CLOSED WONTFIX
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin Container (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ---
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:19 EDT by Jeeva Kandasamy
Modified: 2014-08-27 17:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-27 17:00:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeeva Kandasamy 2013-10-10 09:19:12 EDT
Description of problem:
I uploaded a file(non-plugin file) via GUI and clicked "Scan For Updates". On GUI it's showing INFO message "Finished scanning for updated plugins" on GUI. however on server.log it's showing, WARN message as like follows, 

17:56:39,677 WARN  [org.rhq.enterprise.server.core.plugin.PluginDeploymentScanner] (http-/0.0.0.0:7080-4) Does not look like [/opt/applications/jon/jon-server-3.2.0.ER3/plugins/rhq-enterprise-agent-4.9.0.JON320ER3.jar.fixme] is a plugin jar -(Cause: java.lang.NullPointerException:no xml descriptor found in jar). It will be ignored. Please fix that file or remove it.

User on GUI never notice this on GUI and he/she never delete this file. We might to give a WARN message on GUI also so that user comes to know it's failed and they have to fix it or delete it.


Version-Release number of selected component (if applicable):
Version: 3.2.0.ER3
Build Number: c0742ed:cbad264
GWT Version: 2.5.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1. Navigate to "Administration-->Server Plugins"
2. Click on "Choose File"(Upload plugin), select non-plugin file and upload it.
3. click on "Scan for updates"

Actual results:
On GUI showing INFO message "Finished scanning for updated plugins"
On server.log shows WARN message "Does not look like [/opt/applications/jon/jon-server-3.2.0.ER3/plugins/rhq-enterprise-agent-4.9.0.JON320ER3.jar.fixme] is a plugin jar -(Cause: java.lang.NullPointerException:no xml descriptor found in jar). It will be ignored. Please fix that file or remove it"

Expected results:
Should show WARN message on GUI also, so that user can fix it or delete it.
Comment 1 Simeon Pinder 2013-11-08 09:41:09 EST
Moving to unspecified target milestone as only JON 3.2.0 'blockers'(https://url.corp.redhat.com/bz-jon32-blockers-list-notmodified-nodocs) will make it into subsequent builds after ER5.

Note You need to log in before you can comment on or make changes to this bug.